# FinalCommander

Content-addressable storage redirector.


## Usage

* `$ PRIVATE_KEY=<private key> ./fcmm -servers "server1:7777/100,server2:7777/100, -certificate example.crt -keypair example.key`
* Running without `PRIVATE_KEY` will generate an Ed25519 keypair first time, then exit.

`$ go run .`

Build via `$ go build -o fcmm`

### Certbot notes
* Use pip certbot
* Edit .env to add paths to certificates

```bash
$ certbot certonly \
--standalone \
--key-type=ecdsa --elliptic-curve=secp256r1 \
--domain <domain> \
--post-hook "docker restart <docker name>"
```